% integral1D.m  Evaluate a 1D integral by Gauss quadrature
%               L. N. Trefethen 6/03
%
% The integrand is just chosen to look interesting.

  f = inline('sin(x+cos(10*exp(x))/3)');
  hold off, fplot(f,[-1,1]), grid on            % plot the function
  disp('     N        integral')                % table headings
  for N = 10:10:60                              % loop over various N
    [x,w] = gauss(N);                           % compute nodes and weights
    fprintf('%6d%20.14f\n',N,w*f(x))            % results for this N value
  end
  text(-.8,.7,sprintf('integral = %13.11f'...   % label the plot
        ,w*f(x)),'fontsize',18)
  disp('press <return> to see nodes'), pause    % wait for user input
  hold on, plot(x,f(x),'.k','markersize',20)    % plot the Gauss nodes
