% integral2D.m  Evaluate a 2D integral by tensor product Gauss quadrature
%               L. N. Trefethen 11/03
%
% As with integral1D.m, here the integrand is just chosen to
% be interesting.

% Define the function and plot it:
  f = inline('(y+1).*exp(x).*sin(16*y-4*(x+1).^2)');
  x = linspace(-1,1,50); y = x;
  [xx,yy] = meshgrid(x,y);
  ff = f(xx,yy);
  surf(x,y,ff), view(-40,50), zlim([-2 8])

% Compute its double integral using a 22x22 Gauss grid:
  N = 22;
  [x,w] = gauss(N); y = x;
  [xx,yy] = meshgrid(x,y);
  ff = f(xx,yy);
  format long
  I = w*ff*w' 
  exact = 0.01795155832370
